get resource state.md

Get resource state

Media API · Live Events

GET https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/liveOutputs/{output_name}/state

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see our resource state docs.

RBAC Capability Required: ams.liveeventoutput.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes —
event_name string Yes —
output_name string Yes —

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents/{event_name}/liveOutputs/{output_name}/state" \
  -H "Authorization: Bearer <token>"

Responses

200 — OK

Example:

{
  "status": {
    "state": "string"
  }
}

400 — Bad Request

401 — Unauthorized

403 — Forbidden

404 — Not Found

429 — Too Many Requests

500 — Internal Server Error


Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/liveEvents/{event_name}/liveOutputs/{output_name}/state